/***************************************************************************
                          kmasqlicense.cpp  -  description
                             -------------------
    begin                : Tue Apr 17 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmasqlicense.h"

#include <qmultilineedit.h>
#include <qframe.h>
#include <qpushbutton.h>
#include <qwhatsthis.h>
#include <klocale.h>

KMasqLicense::KMasqLicense(QString text, bool license, QWidget *parent, const char *name ) : QDialog(parent, name, true)
{
	if(license)
		setCaption(i18n("License - KMasqDialer"));
	else
		setCaption(i18n("History - KMasqDialer"));

	setFixedSize(520,435);
	
	QFrame *frame = new QFrame(this);
	frame->setGeometry(5, 5, 510, 395);	
	frame->setFrameStyle( QFrame::Box | QFrame::Sunken );
	
	QMultiLineEdit *textBox = new QMultiLineEdit(frame);
	textBox->append(text);
	textBox->setGeometry(7, 7, 496, 381);
	textBox->setCursorPosition(0, 0);
	textBox->setReadOnly(true);
	if(license)
		QWhatsThis::add(textBox, i18n("This is the server license."));
	else
		QWhatsThis::add(textBox, i18n("This is the server's changelog."));
	
	QPushButton *Ok = new QPushButton(i18n("&Ok"), this);
	Ok->setGeometry(435, 405, 80, 25);
	Ok->setDefault(true);
	connect(Ok, SIGNAL(clicked()), this, SLOT(slotOk()));
}

KMasqLicense::~KMasqLicense()
{
}

void KMasqLicense::slotOk()
{
	close(true);
}
