/***************************************************************************
                          kmasqserverinfo.cpp  -  description
                             -------------------
    begin                : Mon Mar 26 2001
    copyright            : (C) 2001 by Stephan de Georgio
    email                : kmasqdialer@stephan.co.uk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmasqserverinfo.h"
#include <klocale.h>
#include <stdio.h>
#include <qwhatsthis.h>

KMasqServerInfo::KMasqServerInfo(QWidget *parent, const char *name ) : QDialog(parent, name, true)
{
	setCaption(i18n("Server Information - KMasqDialer"));
	setFixedSize(350, 275);
	setGeometry(parent->x() - 50, parent->y() - 50, 350, 275);
	
	titlelabel = new QLabel(this);
	titlelabel->setGeometry(5, 5, 340, 50);
	
	clientip = new QLabel(this);
	clientip->setGeometry(5, 60, 340, 15);
	
	clientcount = new QLabel(this);
	clientcount->setGeometry(5, 75, 340, 15);
	
	namesgroup = new QGroupBox(this);
	namesgroup->setGeometry(5, 95, 340, 145);
	
	clientnames = new QListBox(namesgroup);
	clientnames->setGeometry(7, 20, 325, 115);
	QWhatsThis::add(clientnames, i18n("This is a list of client computers connected to the server"));
	
	ok = new QPushButton(i18n("&Ok"), this);
	ok->setDefault(true);
	connect(ok, SIGNAL(clicked()), this, SLOT(slotOk()));
	ok->setGeometry(265, 245, 80, 25);
		
	titlelabel->setAlignment(AlignCenter);
	clientip->setAlignment(AlignCenter);
	clientcount->setAlignment(AlignCenter);
	namesgroup->setTitle(i18n("Client names:"));
	
	titlelabel->setFrameStyle( QFrame::Box | QFrame::Sunken );
}

KMasqServerInfo::~KMasqServerInfo()
{
}

void KMasqServerInfo::setIPText(const char *ip)
{
	char temp[1024];
	snprintf(temp, 1024, "Client %s", ip);
	clientip->setText(temp);
}

void KMasqServerInfo::setCountNumber(int c)
{
	char temp[1024];
	snprintf(temp, 1023, "Clients connected: %d", c);
	clientcount->setText(temp);
}

void KMasqServerInfo::setClientNames(const char *name)
{
	unsigned int i, t;
	bool isname;

	clientnames->clear();
	i = 0;
	do
	{
		isname = true;
		char temp[1024] = "";
		t = 0;
		do
		{
			temp[t] = name[i];
			i++;
			t++;
			if (name[i] == ':' || name[i] == '\0')
				{ isname = false; }
		}
		while ( isname );
		clientnames->insertItem(temp);
		i++;
	}
	while ( i < strlen(name));
}

void KMasqServerInfo::setVersion(const char *version)
{
	char temp[1024];
	snprintf(temp, 1023, "Version : %s", version);
	titlelabel->setText(temp);
}

void KMasqServerInfo::setAuthor(const char *author)
{
	char temp[1024];
	snprintf(temp, 1023, "Author : %s\n", author);
	titlelabel->setText(temp + titlelabel->text());
}

void KMasqServerInfo::slotOk()
{
	close(true);
}
